package it.micegroup.gestioneferie.pianificazioneferie.entity;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Objects;

import lombok.ToString;

import it.micegroup.voila2runtime.utils.EntityUtils;

@Data
@Embeddable
@NoArgsConstructor
public class DstatiAdesionePfKey implements Serializable {

	// Generated SERIAL UID
	private static final long serialVersionUID = 3917817229L;

	/// ATTRIBUTES

	/// GETTER/SETTER

	/// FIELD CONSTRUCTOR
	public DstatiAdesionePfKey(

	) {
	}

	/// OF CONSTRUCTOR
	public static DstatiAdesionePfKey of() {
		return new DstatiAdesionePfKey();
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null || getClass() != obj.getClass())
			return false;

		DstatiAdesionePfKey that = (DstatiAdesionePfKey) obj;

		return true;
	}

	@Override
	public int hashCode() {
		int result = 0;
		result = 31 * result;
		return result;
	}

	// PARENT OBJECT KEY/TITLE
}
